summaryrefslogtreecommitdiff
path: root/dev-python/docutils
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/docutils
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/docutils')
-rw-r--r--dev-python/docutils/Manifest1
-rw-r--r--dev-python/docutils/docutils-0.16.ebuild72
-rw-r--r--dev-python/docutils/files/docutils-0.16-tests.patch66
-rw-r--r--dev-python/docutils/metadata.xml13
4 files changed, 152 insertions, 0 deletions
diff --git a/dev-python/docutils/Manifest b/dev-python/docutils/Manifest
new file mode 100644
index 000000000000..f9ba4276b0f3
--- /dev/null
+++ b/dev-python/docutils/Manifest
@@ -0,0 +1 @@
+DIST docutils-0.16.tar.gz 1962041 BLAKE2B 64d045d43433e944686b5d9077de0b544d49d041adf398f9b66612db432860853df4a84f4c4b44461789b3039f83e3847547062b2f5bc5d2bde3a0f1ffc9ffba SHA512 4e0c6662924cac6b8f28bb77a4f50eafd637c1083990a23dbd905d8a05362a18dae96e63408ed43b595b693ca755c7961d1282129d3215ed3774af0dddcc0466
diff --git a/dev-python/docutils/docutils-0.16.ebuild b/dev-python/docutils/docutils-0.16.ebuild
new file mode 100644
index 000000000000..2e88fd1d63a1
--- /dev/null
+++ b/dev-python/docutils/docutils-0.16.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_{6,7,8,9}} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python Documentation Utilities"
+HOMEPAGE="http://docutils.sourceforge.net/ https://pypi.org/project/docutils/"
+#SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2 GPL-3 public-domain"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv s390 sparc x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-tests.patch
+)
+
+python_compile_all() {
+ # Generate html docs from reStructured text sources.
+
+ # Place html4css1.css in base directory to ensure that the generated reference to it is correct.
+ cp docutils/writers/html4css1/html4css1.css . || die
+
+ cd tools || die
+ "${EPYTHON}" buildhtml.py --input-encoding=utf-8 \
+ --stylesheet-path=../html4css1.css, --traceback ../docs || die
+}
+
+src_test() {
+ cd test || die
+ distutils-r1_src_test
+}
+
+python_test() {
+ "${EPYTHON}" alltests.py -v || die "Testing failed with ${EPYTHON}"
+}
+
+python_install() {
+ distutils-r1_python_install
+
+ # Install tools.
+ python_doscript tools/{buildhtml,quicktest}.py
+}
+
+install_txt_doc() {
+ local doc="${1}"
+ local dir="txt/$(dirname ${doc})"
+ docinto "${dir}"
+ dodoc "${doc}"
+}
+
+python_install_all() {
+ local DOCS=( *.txt )
+ local HTML_DOCS=( docs tools docutils/writers/html4css1/html4css1.css )
+
+ distutils-r1_python_install_all
+
+ local doc
+ while IFS= read -r -d '' doc; do
+ install_txt_doc "${doc}"
+ done < <(find docs tools -name '*.txt' -print0)
+}
diff --git a/dev-python/docutils/files/docutils-0.16-tests.patch b/dev-python/docutils/files/docutils-0.16-tests.patch
new file mode 100644
index 000000000000..052578c727a4
--- /dev/null
+++ b/dev-python/docutils/files/docutils-0.16-tests.patch
@@ -0,0 +1,66 @@
+Index: docutils/test/test_parsers/test_rst/test_directives/test_code.py
+===================================================================
+--- docutils/test/test_parsers/test_rst/test_directives/test_code.py (revision 8494)
++++ docutils/test/test_parsers/test_rst/test_directives/test_code.py (working copy)
+@@ -107,7 +107,7 @@
+ <document source="test data">
+ <literal_block classes="code python testclass" xml:space="preserve">
+ \n\
+- <inline classes="keyword">
++ <inline classes="name builtin">
+ print
+ <inline classes="punctuation">
+ (
+@@ -167,7 +167,7 @@
+ <inline classes="ln">
+ 12 \n\
+ \n\
+- <inline classes="keyword">
++ <inline classes="name builtin">
+ print
+ <inline classes="punctuation">
+ (
+Index: docutils/test/test_parsers/test_rst/test_directives/test_code_long.py
+===================================================================
+--- docutils/test/test_parsers/test_rst/test_directives/test_code_long.py (revision 8494)
++++ docutils/test/test_parsers/test_rst/test_directives/test_code_long.py (working copy)
+@@ -69,7 +69,7 @@
+ <inline classes="ln">
+ 12 \n\
+ \n\
+- <inline classes="keyword">
++ <inline classes="name builtin">
+ print
+ <inline classes="punctuation">
+ (
+Index: docutils/test/test_parsers/test_rst/test_directives/test_tables.py
+===================================================================
+--- docutils/test/test_parsers/test_rst/test_directives/test_tables.py (revision 8494)
++++ docutils/test/test_parsers/test_rst/test_directives/test_tables.py (working copy)
+@@ -45,10 +45,11 @@
+ # some error messages changed in Python 3.3, CPython has backported to 2.7.4,
+ # PyPy has not
+ csv_eod_error_str = 'unexpected end of data'
+-if sys.version_info < (2,7,4) or platform.python_implementation() == 'PyPy':
++if sys.version_info < (2,7,4) or (platform.python_implementation() == 'PyPy'
++ and sys.version_info < (3,0)):
+ csv_eod_error_str = 'newline inside string'
+ # pypy adds a line number
+-if sys.version_info >= (3, 0) and platform.python_implementation() == 'PyPy':
++if platform.python_implementation() == 'PyPy':
+ csv_eod_error_str = 'line 1: ' + csv_eod_error_str
+ csv_unknown_url = "'bogus.csv'"
+ if sys.version_info < (3, 0):
+Index: docutils/test/test_parsers/test_rst/test_interpreted.py
+===================================================================
+--- docutils/test/test_parsers/test_rst/test_interpreted.py (revision 8494)
++++ docutils/test/test_parsers/test_rst/test_interpreted.py (working copy)
+@@ -283,7 +283,7 @@
+ <paragraph>
+ Python code \n\
+ <literal classes="code testclass python">
+- <inline classes="keyword">
++ <inline classes="name builtin">
+ print
+ <inline classes="punctuation">
+ (
diff --git a/dev-python/docutils/metadata.xml b/dev-python/docutils/metadata.xml
new file mode 100644
index 000000000000..463b9b1ac6fa
--- /dev/null
+++ b/dev-python/docutils/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches/>
+ <upstream>
+ <remote-id type="sourceforge">docutils</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>